> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.navisavitravel.com/llms.txt.

# Season × locality summary

GET https://api.navisavitravel.com/v1/seasons/{seasonName}/localities/{localityId}/summary

Returns a cross-dimensional summary for a specific season within a locality. Includes top locations, vibes, place categories, and an SEO-ready description.

Reference: https://api-docs.navisavitravel.com/api-reference/insights/get-season-locality-summary

## Authentication

- `x-api-key` header (required) — API key issued with your NaviSavi plan

## Servers

- `https://api.navisavitravel.com` (Production, default)
- `https://api-dev.navisavitravel.com` (Development)

## Request

### Path parameters

- `seasonName` (string, required)
- `localityId` (integer, optional)

## Response

### 200

Season and locality summary

- `season` (string, required)
- `localityId` (integer, required)
- `localityName` (string, required, nullable)
- `regionId` (integer, required)
- `regionName` (string, required, nullable)
- `countryId` (integer, required)
- `countryName` (string, required, nullable)
- `countryIsoCode` (string, required, nullable)
- `breadcrumbList` (list of string, required)
- `editorial` (SeasonLocalitySummaryEditorial, required, nullable)
- `topLocations` (list of SeasonLocalitySummaryTopLocationsItems, required)
- `topVibes` (list of SeasonLocalitySummaryTopVibesItems, required)
- `topPlaceCategories` (list of SeasonLocalitySummaryTopPlaceCategoriesItems, required)
- `videoCount` (integer, required)
- `locationCount` (integer, required)
- `relatedCollections` (SeasonLocalitySummaryRelatedCollections, required)

## Errors

### 400 Bad Request Error

Invalid request parameters

- `error` (string, required)
- `details` (map from string to any, optional)

### 403 Forbidden Error

Missing or invalid API key

- `error` (string, required)
- `details` (map from string to any, optional)

### 404 Not Found Error

Resource not found

- `error` (string, required)
- `details` (map from string to any, optional)

### 500 Internal Server Error

Internal server error

- `error` (string, required)
- `details` (map from string to any, optional)

## Types

### SeasonLocalitySummaryEditorial

- `description` (string, required)
- `metaTitle` (string, required)
- `metaDescription` (string, required)

### SeasonLocalitySummaryTopLocationsItems

- `id` (integer, required)
- `name` (string, required)

### SeasonLocalitySummaryTopVibesItems

- `id` (integer, required)
- `name` (string, required)

### SeasonLocalitySummaryTopPlaceCategoriesItems

- `slug` (string, required)
- `name` (string, required)

### SeasonLocalitySummaryRelatedCollections

- `sameSeasonOtherCountries` (list of SeasonLocalitySummaryRelatedCollectionsSameSeasonOtherCountriesItems, required)
- `sameCountryOtherSeasons` (list of SeasonLocalitySummaryRelatedCollectionsSameCountryOtherSeasonsItems, required)

### SeasonLocalitySummaryRelatedCollectionsSameSeasonOtherCountriesItems

- `slug` (string, required)
- `country` (string, required)

### SeasonLocalitySummaryRelatedCollectionsSameCountryOtherSeasonsItems

- `slug` (string, required)
- `name` (string, required)

## Examples

**Response**

```json
{
  "season": "Summer",
  "localityId": 55,
  "localityName": "Paris",
  "regionId": 3,
  "regionName": "Ile-de-France",
  "countryId": 1,
  "countryName": "France",
  "countryIsoCode": "FR",
  "breadcrumbList": [
    "Summer",
    "France",
    "Ile-de-France",
    "Paris"
  ],
  "editorial": null,
  "topLocations": [
    {
      "id": 101,
      "name": "Le Marais"
    }
  ],
  "topVibes": [
    {
      "id": 9,
      "name": "Beach getaway"
    }
  ],
  "topPlaceCategories": [
    {
      "slug": "restaurant",
      "name": "Restaurant"
    }
  ],
  "videoCount": 85,
  "locationCount": 42,
  "relatedCollections": {
    "sameSeasonOtherCountries": [
      {
        "slug": "Summer/2-italy",
        "country": "Italy"
      }
    ],
    "sameCountryOtherSeasons": [
      {
        "slug": "Spring/1-france",
        "name": "Spring"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.navisavitravel.com/v1/seasons/Summer/localities/55/summary"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.navisavitravel.com/v1/seasons/Summer/localities/55/summary';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.navisavitravel.com/v1/seasons/Summer/localities/55/summary"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.navisavitravel.com/v1/seasons/Summer/localities/55/summary")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.navisavitravel.com/v1/seasons/Summer/localities/55/summary")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.navisavitravel.com/v1/seasons/Summer/localities/55/summary', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.navisavitravel.com/v1/seasons/Summer/localities/55/summary");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.navisavitravel.com/v1/seasons/Summer/localities/55/summary")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```